<?php
function magic_ad_genie_add_post_type() {
  $labels = array(
    'name' => _x(MAGIC_AD_GENIE_PLUGIN_NAME, 'post type general name', 'magic-adgenie'),
    'singular_name' => _x(MAGIC_AD_GENIE_PLUGIN_NAME, 'post type singular name', 'magic-adgenie'),
    'add_new' => _x('Add New', 'new ad', 'magic-adgenie'),
    'add_new_item' => __('Add New', 'magic-adgenie'),
    'edit_item' => __('Edit Ad', 'magic-adgenie'),
    'new_item' => __('New Ad', 'magic-adgenie'),
    'all_items' => __('All Ads', 'magic-adgenie'),
    'view_item' => __('View Ads', 'magic-adgenie'),
    'search_items' => __('Search Ads', 'magic-adgenie'),
    'not_found' =>  __('No Ads found', 'magic-adgenie'),
    'not_found_in_trash' => __('No Ads found in Trash', 'magic-adgenie'), 
    'parent_item_colon' => '',
    'menu_name' => __(MAGIC_AD_GENIE_PLUGIN_NAME, 'magic-adgenie')

  );
  $args = array(
    'labels' => $labels,
    'public' => true,
    'exclude_from_search' => true,
    'publicly_queryable' => true,
    'show_ui' => true, 
    'show_in_menu' => true,
    'show_in_nav_menus' => false,
    'query_var' => true,
    'rewrite' => true,
    'capability_type' => 'post',
    'has_archive' => true, 
    'hierarchical' => false,
    'menu_position' => 20,
    'supports' => array( 'title', 'editor' )
  ); 
  register_post_type('magicadgenie', $args);
}
add_action( 'init', 'magic_ad_genie_add_post_type' );
?>