// http://www.garyc40.com/2010/03/how-to-make-shortcodes-user-friendly/
// closure to avoid namespace collision
// Icon by PC http://pc.de/ - Licence: Creative Commons (Attribution 3.0 Unported)
// http://creativecommons.org/licenses/by/3.0/
(function() {
	tinymce.create('tinymce.plugins.magicadgeniegraphics', {
		init : function(ed, url) {			
			 tinymce.plugins.magicadgeniegraphics.theurl = url;
		},
		createControl: function(n, cm) {
        switch (n) {
            case 'magicadgeniegraphics':
                var c = cm.createSplitButton('magicadgenie_splitbutton', {
					title : 'Magic Ad Genie',
	               	image : tinymce.plugins.magicadgeniegraphics.theurl + '/adimages.png'
                });                

                c.onRenderMenu.add(function(c, m) {
					m.add({title : 'Magic Ad Genie Graphics', 'class' : 'mceMenuItemTitle'}).setDisabled(1);
					m.add({title : 'Add Boxes', onclick : function() {
                        // triggers the thickbox
						tinymce.activeEditor.windowManager.open({
						file : tinymce.plugins.magicadgeniegraphics.theurl + '/boxes-dialog.php', // file that contains HTML for our modal window
						width : 650, // size of our window
						height : 500, // size of our window
						inline : 1
						}, {
							plugin_url : tinymce.plugins.magicadgeniegraphics.theurl
						});
                    }});
					
					m.add({title : 'Add Headings', onclick : function() {
                        // triggers the thickbox
						tinymce.activeEditor.windowManager.open({
						file : tinymce.plugins.magicadgeniegraphics.theurl + '/headings-dialog.php', // file that contains HTML for our modal window
						width : 520, // size of our window
						height : 220, // size of our window
						inline : 1
						}, {
							plugin_url : tinymce.plugins.magicadgeniegraphics.theurl
						});
                    }});
					
					m.add({title : 'Add Arrows', onclick : function() {
                        // triggers the thickbox
						tinymce.activeEditor.windowManager.open({
						file : tinymce.plugins.magicadgeniegraphics.theurl + '/arrows-dialog.php', // file that contains HTML for our modal window
						width : 520, // size of our window
						height : 300, // size of our window
						inline : 1
						}, {
							plugin_url : tinymce.plugins.magicadgeniegraphics.theurl
						});
                    }}); 
                });

                // Return the new splitbutton instance
                return c;
        }

        return null;
    }
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('magicadgeniegraphics', tinymce.plugins.magicadgeniegraphics);
	
})();