<?php 
	
add_action('admin_menu', 'magic_ad_genie_item_menu');

function magic_ad_genie_item_menu() {
	// Options page with script/css loading on demand
	$settings = add_options_page( MAGIC_AD_GENIE_PLUGIN_NAME, MAGIC_AD_GENIE_PLUGIN_NAME, 'manage_options', 'magic_ad_genie_config', 'magic_ad_genie_config' );
  	add_action( 'load-'.$settings, 'magic_ad_genie_adminscripts' );
}

function magic_ad_genie_adminscripts() {
  wp_enqueue_style( 'magic-ad-genie-admin', MAGIC_AD_GENIE_DIR.'modules/css/admin.css', '', MAGIC_AD_GENIE_VERSION, 'all' );
}

function magic_ad_genie_config(){

?>
<div class="wrap">
<h2><?php echo MAGIC_AD_GENIE_PLUGIN_NAME; ?> Settings</h2>

 <?php if( (isset($_POST['posted']) == 1) && (is_admin() ) && wp_verify_nonce($_POST['_wpnonce']) ): ?>
  <div id="message" class="updated" ><p>Settings saved successfully</p></div>
  
  <?php 
  
  $magic_ad_genie_options = array(
  'default_ad' =>  $_POST['default_ad']  
  );
  update_option('magic_ad_genie_options', $magic_ad_genie_options );

  ?>
  
  
  <?php else:  ?>
  
  <?php //exit; ?>
  
  <?php endif; ?> 
<form method="post" action="">
<?php wp_nonce_field();  
$config = get_option('magic_ad_genie_options');
$default_ad = ( empty($config['default_ad']) ) ? '' : stripslashes( $config['default_ad'] ) ;
?>  
<table class="form-table">
	<tr valign="top">
      <th scope="row">Default or Fallback Ad</th>
      <td>
	  <?php 
		$all_posts = get_posts('post_type=magicadgenie&orderby=name&order=ASC');
	  ?>
	  <select name="default_ad" >
	  <?php 
		foreach( $all_posts as $single_post ){
			echo '<option value="'.$single_post->ID.'"  '.( $single_post->ID == $default_ad ? ' selected ' : ' ' ).' >'.$single_post->post_title;
		}
	  ?>
	  </select>
      <p></p>
      </td>
    </tr>
</table>

<input type="hidden" value="1" name="posted" />
<input type="Submit" value="Save" class="button-secondary" />
</form>
  
</div>


<?php 
}
?>