<?php 
	add_filter('wp_footer', 'bp_process_page', 100);
function bp_process_page( ){
	global $post;
	$config = get_option('bp_options'); 
	
	if( is_front_page() && $config['homepage_popover'] ){
		$popover_post = get_post( $config['homepage_popover'] );
		$used_id = $config['homepage_popover'];		
		$to_show = 1;
	}
	
	if( ( is_archive() || is_category() ) && $config['archive_popover'] ){
		$popover_post = get_post( $config['archive_popover'] );
		$used_id = $config['archive_popover'];
		$to_show = 1;
	}
	
	if( ( is_single() || is_page() ) && get_post_meta( $post->ID, 'hide_popover', true ) != 'on' ){
			if( get_post_meta( $post->ID, 'popover2use', true ) == 0 ){
				$used_id = $config['default_popover'];
				$popover_post = get_post( $config['default_popover'] );
			}else{
				$used_id = get_post_meta( $post->ID, 'popover2use', true );
				$popover_post = get_post( get_post_meta( $post->ID, 'popover2use', true ) );
			}
		$to_show = 1;
	}
	
			
	
		if( $to_show == 1   ) {
			
			
			
			
			echo '
			<input type="hidden" id="target_url" value="'.get_post_meta( $used_id, 'target_url', true ).'" />
			<div class="footer_container">
				<img src="'.plugins_url('images/bg.gif', __FILE__ ).'" />
				<div class="block_content">'.$popover_post->post_content.'</div>
			</div>
			';
			
			// appearence things
			switch( $config['appearence'] ){
				case "immediately":
					echo '
					<script>
						if( readCookie( "hide_popup" ) != 1 ){
							jQuery(".footer_container").fadeIn();
						}
						
					</script>
					';
					break;
				case "second":
					echo '
					<script>	
						if( readCookie( "hide_popup" ) != 1 ){
							setTimeout(function() { 				
									jQuery(".footer_container").fadeIn();				 
							}, '.$config['delay_time'].'000);
						}
					</script>
					';
					break;
				case "down":
					echo '
					<script>	
						if( readCookie( "hide_popup" ) != 1 ){
							jQuery(window).scroll(function() {


								
								if (  document.documentElement.clientHeight + 
									  jQuery(document).scrollTop() >= document.body.offsetHeight  - document.documentElement.clientHeight - 400  )
								{ 
									jQuery(".footer_container").fadeIn();
								}
							});
						}
					</script>
					';
					break;
			}	
			//
		}
		
		

}


?>