// http://www.garyc40.com/2010/03/how-to-make-shortcodes-user-friendly/
// closure to avoid namespace collision
// Icon by PC http://pc.de/ - Licence: Creative Commons (Attribution 3.0 Unported)
// http://creativecommons.org/licenses/by/3.0/
(function() {
	tinymce.create('tinymce.plugins.magicadgeniebuttons', {
		init : function(ed, url) {			
			 tinymce.plugins.magicadgeniebuttons.theurl = url;
			// Register buttons
			ed.addButton('magicadgeniebuttons', {title : 'Insert Ad', cmd : 'mcebutton', image: tinymce.plugins.magicadgeniebuttons.theurl + '/ad12.png',
			onclick: function() {
				ed.windowManager.open({
					file : tinymce.plugins.magicadgeniebuttons.theurl + '/magic-ad-genie-shortcode-dialog.php', // file that contains HTML for our modal window
					width : 300 + parseInt(ed.getLang('button.delta_width', 0)), // size of our window
					height : 150 + parseInt(ed.getLang('button.delta_height', 0)), // size of our window
					inline : 1
				}, {
					plugin_url : tinymce.plugins.magicadgeniebuttons.theurl
				});
			}
			});
		},
		 
		getInfo : function() {
			return {
				longname : 'Insert Magic Ad Genie',
				author : 'Chris Jenkins & Monika Morley',
				authorurl : 'http://onlinesuccesswithchris.com',
				infourl : 'http://onlinesuccesswithchris.com',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('magicadgeniebuttons', tinymce.plugins.magicadgeniebuttons);
	
})();